BEGIN ~TCPNASHK~

IF ~True()~ THEN BEGIN 0
  SAY ~*This performer is following you and copying everything you do.*~
  IF ~~ THEN REPLY ~Ignore him.~ GOTO 1
  IF ~~ THEN REPLY ~Try to start a conversation.~ GOTO 2
END

IF ~~ THEN BEGIN 1
  SAY ~*After a few minutes, he moves on to bother someone else.*~
  IF ~~ THEN DO ~RandomWalk()~ EXIT
END

IF ~~ THEN BEGIN 2
  SAY ~*When you turn to talk to him, he starts a routine where he acts like he is trapped inside of a box.*~
  IF ~~ THEN REPLY ~Ignore him.~ GOTO 1
  IF ~~ THEN REPLY ~Watch his show.~ GOTO 3
  IF ~~ THEN REPLY ~Try to get his attention.~ GOTO 4
END

IF ~~ THEN BEGIN 3
  SAY ~*He continues with other hand motions and when finished, bowes to you then walks away.*~
  IF ~~ THEN DO ~RandomWalk()~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY ~*He pretends to be pulling on a rope but whatever is at the other end pulls him away from you.  He moves on to bother someone else.*~
  IF ~~ THEN DO ~RandomWalk()~ EXIT
END
